Anonymous Login
2019-02-21 11:42 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000777v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:46
ReporterKyle Skrinak 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000777: Project List View is broken in flat mode
DescriptionNavigating to "Projects", for any customer, will show duplicate data. However, the data is not stacked in rows; rather, the tr tags are not properly terminated and the rows show as a single row of data. See attached image for details.

More discussion about the matter here: http://forums.web2project.net/viewtopic.php?t=3564&highlight=
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000902closedcaseydk Pending Requests Projects flat view broken 
+Relationships

-Notes

~0001862

caseydk (administrator)

Stupid flat view.. At some point we discussed deprecating it but never really made a decision on it.

I take it you guys use it heavily?

~0001863

Kyle Skrinak (reporter)

I don't use the view heavily. It's essentially unusable for the moment, though it does come in handy as I have 10+ customers with a range of 2 - 5 projects each.

~0001864

caseydk (administrator)

Poking at it a bit.. the problem appears to be related to the configurable columns. On mine, they're repeated 3-4x on each project "tab" in flat view.

~0001865

sasquatch58 (reporter)

If it was deprecated then we probably wouldn't miss it. The "Flat" option exists so came up for checking. I see there's one or two other views that show the "Flat" option but it appears to do nothing. May need to think about visibility (hiding) this option if not enabled.

~0001871

Kyle Skrinak (reporter)

Well, I do use project view frequently, I've discovered. At least enough so that this is becoming a nuisance. If there's a non-"flat" view for project data, I can not find it.

~0001876

caseydk (administrator)

An array was being added to in a loop but was never getting reset;

Resolved in r1828;
+Notes

-Issue History
Date Modified Username Field Change
2011-04-12 08:33 Kyle Skrinak New Issue
2011-04-12 08:33 Kyle Skrinak File Added: table-projects-problem.png
2011-04-13 06:49 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-04-13 18:03 caseydk Note Added: 0001862
2011-04-13 18:03 caseydk Status new => feedback
2011-04-13 18:08 Kyle Skrinak Note Added: 0001863
2011-04-13 18:19 caseydk Note Added: 0001864
2011-04-13 18:21 caseydk Category Reports => Projects
2011-04-13 18:21 caseydk Product Version 2.3 =>
2011-04-13 18:21 caseydk Summary Report View is broken => Project List View is broken in flat mode
2011-04-13 18:34 sasquatch58 Note Added: 0001865
2011-04-18 07:03 caseydk Status feedback => assigned
2011-04-18 07:03 caseydk Assigned To => caseydk
2011-04-26 10:47 Kyle Skrinak Note Added: 0001871
2011-04-26 21:00 caseydk Note Added: 0001876
2011-04-26 21:00 caseydk Status assigned => resolved
2011-04-26 21:00 caseydk Resolution open => fixed
2011-07-30 13:49 caseydk Relationship added has duplicate 0000902
2011-08-16 23:46 caseydk Status resolved => closed
2011-08-16 23:46 caseydk Fixed in Version => 2.4
+Issue History